## dtmfdetect dtmfdetect — Detects DTMF tones |

## Synopsis

    struct              GstDtmfDetect;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstDtmfDetect

## Description

This element will detect DTMF tones and emit messages.

The message is called `"dtmf-event"` and has the following fields:

- gint `type` (0-1): The application uses this field to specify which of the two methods specified in RFC 2833 to use. The value should be 0 for tones and 1 for named events. Tones are specified by their frequencies and events are specfied by their number. This element can only take events as input. Do not confuse with "method" which specified the output.

- gint `number` (0-16): The event number.

- gint `method` (2): This field will always been 2 (ie sound) from this element.

## Synopsis

### Element Information

plugin | dtmf
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Filter/Analyzer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, width=(int)16, depth=(int)16, endianness=(int)1234, signed=(boolean)true, rate=(int)8000, channels=(int)1

name | src
direction | source
presence | always
details | audio/x-raw-int, width=(int)16, depth=(int)16, endianness=(int)1234, signed=(boolean)true, rate=(int)8000, channels=(int)1

## Details

### struct GstDtmfDetect

    struct GstDtmfDetect;